Starting conversations on unrelated keyboard- or mouse-events

RESOLVED FIXED in 1.5

Status

RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: Mic, Assigned: nhnt11)

Tracking

trunk
x86
Windows XP

Details

Attachments

(1 attachment)

(Reporter)

Description

5 years ago
*** Original post on bio 2042 at 2013-07-12 09:57:00 UTC ***

Double clicking the window titlebar to maximize the window on Windows starts a conversation with first contact in list.
Double clicking the window titlebar to restore a window to normal size does not.
Maximizing the window with the context menu doesn't.

Maximizing the window from the system menu (Ctrl+Space) by selecting "Maximize" and pressing the Enter-key to confirm starts the conversation.
Trying the same using the access key ("x") does not.
(Reporter)

Updated

5 years ago
Blocks: 955452
(Assignee)

Comment 1

5 years ago
Created attachment 8354479 [details] [diff] [review]
Patch

*** Original post on bio 2042 as attmnt 2710 at 2013-08-14 01:03:00 UTC ***

This changes the mousedown handler in newtab-item to click, which ensures that the handler is activated only when both the mouseup and mousedown of the click were targeted at the item in question.

It moves the keyup handling code in the newtab binding to the keydown handler for similar reasons. This also matches the behavior in Firefox's awesomebar.
Attachment #8354479 - Flags: review?(benediktp)
(Assignee)

Updated

5 years ago
Assignee: nobody → nhnt11
Status: NEW → ASSIGNED
(Assignee)

Comment 2

5 years ago
*** Original post on bio 2042 at 2013-08-14 01:06:08 UTC ***

I forgot to mention I took the opportunity to remove the unnecessary if (!"Conversations" in window) check, since imWindows.jsm is imported when the window loads in instantbird.js. If it isn't ok to do that in this bug, I'll upload a new patch.
(Reporter)

Comment 3

5 years ago
Comment on attachment 8354479 [details] [diff] [review]
Patch

*** Original change on bio 2042 attmnt 2710 at 2013-09-10 14:53:28 UTC ***

This fixes the reported bug and looks good! Thank you!
Attachment #8354479 - Flags: review?(benediktp) → review+
(Reporter)

Updated

5 years ago
Whiteboard: [checkin-needed]
*** Original post on bio 2042 at 2013-09-12 22:39:45 UTC ***

attachment 8354479 [details] [diff] [review] (bio-attmnt 2710) doesn't apply, it's bitrotted because of bug 955503 (bio 2066). I've done a best effort update of it for the check-in. Please verify in the next nightly that things work as expected, thanks!
*** Original post on bio 2042 at 2013-09-12 23:05:14 UTC ***

http://hg.instantbird.org/instantbird/rev/d1fbb780a191
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
You need to log in before you can comment on or make changes to this bug.